package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统是否枚举
 */
@Getter
@AllArgsConstructor
public enum SysYesNoEnum {

    Y("Y", "是"),
    N("N", "否");

    private final String code;
    private final String desc;

    public static SysYesNoEnum getByCode(String code) {
        for (SysYesNoEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

    public static SysYesNoEnum getByDesc(String desc) {
        for (SysYesNoEnum itemEnum : values()) {
            if (itemEnum.getDesc().equals(desc)) {
                return itemEnum;
            }
        }
        return null;
    }

}
